package cn.ey.biz.module.system.convert.timesheet;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.api.timesheet.dto.TimesheetApproveRuleDTO;
import cn.ey.biz.module.system.controller.admin.logger.vo.apiaccesslog.ApiAccessLogRespVO;
import cn.ey.biz.module.system.controller.timesheet.approve.vo.TimesheetApproveRuleVO;
import cn.ey.biz.module.system.dal.dataobject.logger.ApiAccessLogDO;
import cn.ey.biz.module.system.dal.dataobject.timesheet.TimesheetApproveRuleDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 审批规则convert
 */
@Mapper
public interface TimesheetApproveRuleConvert {

    TimesheetApproveRuleConvert INSTANCE = Mappers.getMapper(TimesheetApproveRuleConvert.class);

    TimesheetApproveRuleDO convert(TimesheetApproveRuleVO timesheetApproveRuleVO);

    TimesheetApproveRuleVO convert(TimesheetApproveRuleDO timesheetApproveRuleDO);

    List<TimesheetApproveRuleDO> convertList(List<TimesheetApproveRuleVO> timesheetApproveRuleVOS);

    List<TimesheetApproveRuleVO> convertPage(List<TimesheetApproveRuleDO> timesheetApproveRuleDOS);
    List<TimesheetApproveRuleDTO> convertField(List<TimesheetApproveRuleDO> timesheetApproveRuleDOS);

    PageResult<TimesheetApproveRuleVO> convertListPage(PageResult<TimesheetApproveRuleDO> page);
}
